* BEGIN MODEL LMH6601
*Rev A March 2007
*//////////////////////////////////////////////////////////////////////
* (C) National Semiconductor, Corporation.
* Models developed and under copyright by:
* National Semiconductor, Corporation.  
*/////////////////////////////////////////////////////////////////////
* Legal Notice:  
* The model may be copied, and distributed without any modifications;
* however, reselling or licensing the material is illegal.
* We reserve the right to make changes to the model without prior notice. 
* Pspice Models are provided "AS IS, WITH NO WARRANTY OF ANY KIND"
*/////////////////////////////////////////////////////////////////////
*LMH6601 SPICE MODLE PERFORMANCE
*///////////////////////////////////////////////////////////////////////
*MODEL FEATURES INCLUDE OUTPUT CURRENT THRU THE SUPPLY RAILS,
*OUTPUT SWING, GAIN AND PHASE, SLEW RATE, COMMON MODE REJECTION
*WITH FREQUENCY EFFECTS, POWER SUPPLY REJECTION WITH FREQUENCY
*EFFECTS, INPUT VOLTAGE NOISE WITH 1/F, INPUT CURRENT NOISE,
*INPUT CAPACITANCE, INPUT BIAS CURRENT WITH TEMPERATURE EFFECTS,
*INPUT COMMON MODE RANGE, INPUT OFFSET, HIGH CLOAD EFFECTS,
*OUTPUT IMPEDANCE, OUTPUT CURRENT LIMIT, INPUT AND OUTPUT CLAMPS
*TO THE RAIL, AND QUIESCENT CURRENT VS SUPPLY VOLTAGE.
*////////////////////////////////////////////////////////////////////
*MODEL TEMP RANGE IS -40 TO +85 DEG C
*NOTE THAT MODEL IS FUNCTIONAL OVER THIS	
*RANGE BUT NOT ALL PARAMETERS TRACK THOSE OF THE REAL PART
*///////////////////////////////////////////////////////////////
* BEGIN NOTES
* MODEL DOES NOT HAVE SHUTDOWN FEATURE
* FOR ACCURATE INPUT BIAS CURRENT USE
* GMIN = 1E-14
* MODEL FEATURES INCLUDE
* OUTPUT CURRENT THRU THE SUPPLY RAILS
* OUTPUT SWING
* GAIN AND PHASE
* SLEW RATE
* COMMON MODE REJECTION WITH FREQUENCY EFFECTS
* POWER SUPPLY REJECTION WITH FREQUENCY EFFECTS
* INPUT VOLTAGE NOISE WITH 1/F
* INPUT CURRENT NOISE
* INPUT	CAPACITANCE
* INPUT BIAS CURRENT WITH TEMPERATURE EFFECTS
* INPUT COMMON MODE RANGE
* INPUT OFFSET
* HIGH CLOAD EFFECTS
* OUTPUT IMPEDANCE
* OUTPUT CURRENT LIMIT
* INPUT AND OUTPUT CLAMPS TO THE RAIL
* QUIESCENT CURRENT VS SUPPLY VOLTAGE
* MODEL TEMP RANGE IS -40 TO +85 DEG C
* NOTE THAT MODEL IS FUNCTIONAL OVER THIS RANGE
* BUT NOT ALL PARAMETERS TRACK THE REAL PART.
* END NOTES
* PINOUT +IN -IN +V -V OUT
* PINOUT  3   4   6  2  1
.SUBCKT LMH6601 3 4 6 2 1
R22 2 6 2.83E3
E5 30 0 21 0 1
E6 31 0 9 0 1
E7 32 0 33 0 1
R30 30 34 1E4
R31 31 35 1E4
R32 32 36 1E4
R33 0 34 1
R34 0 35 1
R35 0 36 1
E10 37 3 36 0 1.6
R36 38 33 1E3
R37 33 39 1E3
C6 30 34 2E-12
C7 31 35 2E-12
C8 32 36 20E-12
E11 40 37 35 0 3.5
E12 29 40 34 0 -3.5
E14 41 9 21 9 0.5
D11 18 21 DD
D12 9 18 DD
Q20 7 8 9 QLN
R3 10 11 5
R4 12 11 5
R10 8 13 1E3
R11 14 15 1E3
R12 16 6 1
R13 2 17 1
R16 18 19 500
R17 20 21 1
R18 9 22 1
D5 23 6 DD
D6 2 23 DD
D7 24 0 DIN
D8 25 0 DIN
I8 0 24 0.1E-3
I9 0 25 0.1E-3
E2 9 0 2 0 1
E3 21 0 6 0 1
D9 26 0 DVN
D10 27 0 DVN
I10 0 26 0.1E-3
I11 0 27 0.1E-3
E4 28 4 26 27 0.3
G2 29 4 24 25 1.05E-5
M1 42 43 17 17 NOUT L=3U W=1100U
M2 44 45 16 16 POUT L=3U W=1100U
M3 46 46 20 20 POUT L=3U W=1100U
M4 47 48 10 10 PIN L=3U W=300U
M5 49 50 12 12 PIN L=3U W=300U
M8 51 51 22 22 NOUT L=3U W=1100U
R43 52 45 100
R44 53 43 100
G3 18 41 54 41 0.2E-3
R45 41 18 182E3
C12 19 55 2.002E-12
R46 56 47 2E3
R47 56 49 2E3
C13 47 49 0.2E-12
C14 29 0 1E-12
C15 28 0 1E-12
C16 23 0 5E-12
D13 43 7 DD
D14 57 45 DD
Q15 57 15 21 QLP
V18 29 58 -0.75E-3
M19 59 60 21 21 PIN L=6U W=500U
E17 39 0 29 0 1
E18 38 0 4 0 1
M23 60 60 21 21 PIN L=6U W=500U
V21 59 11 0.685
R59 23 44 1
R60 42 23 1
J1 61 29 61 JNC
J2 61 28 61 JNC
J3 28 62 28 JNC
J4 29 62 29 JNC
E20 63 41 49 47 1
R62 63 54 1E4
C23 54 41 0.1E-12
G7 64 41 18 41 -1E-3
G8 41 65 18 41 1E-3
G9 41 66 51 9 1E-3
G10 67 41 21 46 1E-3
D17 67 64 DD
D18 65 66 DD
R66 64 67 100E6
R67 66 65 100E6
R68 67 21 1E3
R69 9 66 1E3
E23 21 52 21 67 1
E24 53 9 66 9 1
R70 65 41 1E6
R71 66 41 1E6
R72 41 67 1E6
R73 41 64 1E6
G11 6 2 68 0 4.8E-3
R75 40 29 1E9
R76 37 40 1E9
R77 3 37 1E9
R78 4 28 1E9
R79 41 54 1E9
R81 52 21 1E9
R82 9 53 1E9
R83 33 0 1E9
G14 60 9 68 0 1.64E-3
G15 46 51 68 0 3E-3
L1 23 1 1E-9
R150 23 1 100
V78 21 61 0.7
V79 62 9 -0.7
R155 46 21 1E8
R156 9 51 1E8
R157 17 43 1E8
R158 16 45 1E8
RG1 0 68 1E9
R225 50 28 1600
R226 48 58 1600
G34 28 0 69 0 2E-12
I40 28 0 0.1E-12
I45 0 70 1E-3
D43 70 0 DD
V111 70 71 0.7
R293 0 71 1E6
E92 72 0 71 0 -571
R294 0 72 1E6
R295 73 72 1E6
D44 74 73 DD
V112 74 75 27
V113 73 69 26
I46 0 76 1E-3
D45 76 0 DD
V114 76 77 0.7
R296 0 77 1E6
E93 75 0 77 0 1
G35 29 0 69 0 2E-12
I47 29 0 0.1E-12
E95 21 14 6 16 8
E96 13 9 17 2 8
R311 0 75 1E9
R313 60 21 1E9
R314 0 69 1E12
E123 55 0 23 0 1
R394 18 55 50E5
V115 68 0 1
V116 56 9 -1.3
.MODEL DVN D KF=20E-12 IS=1E-16
.MODEL DD D
.MODEL DIN D
.MODEL QLN NPN
.MODEL QLP PNP
.MODEL JNC NJF
.MODEL POUT PMOS KP=200U VTO=-0.7
.MODEL NOUT NMOS KP=200U VTO=0.7
.MODEL PIN PMOS KP=200U VTO=-0.7
.MODEL NIN NMOS KP=200U VTO=0.7
.ENDS
* END MODEL LMH6601